- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannDistCntrlNeumB1 Class Reference

Class implementating Example 4. More...

`#include <MittelmannDistCntrlNeumB.hpp>`

Inheritance diagram for MittelmannDistCntrlNeumB1:

[legend]
Collaboration diagram for MittelmannDistCntrlNeumB1:

[legend]
List of all members.

## Public Member Functions
| MittelmannDistCntrlNeumB1 ()
virtual | ~MittelmannDistCntrlNeumB1 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y.
virtual Number | fint_cont (Number x1, Number x2, Number y, Number u) const
| Integrant in objective function.
virtual Number | fint_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydy_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dudu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
virtual bool | d_cont_dydy_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dudu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dydu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannDistCntrlNeumB1 (const MittelmannDistCntrlNeumB1 &)
MittelmannDistCntrlNeumB1 & | operator= (const MittelmannDistCntrlNeumB1 &)
## Private Attributes
const Number | pi_
| Value of pi (made available for convenience).
const Number | alpha_
| Value for parameter alpha in objective functin.

## Detailed Description

Class implementating Example 4.

Definition at line 248 of file MittelmannDistCntrlNeumB.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlNeumB1::MittelmannDistCntrlNeumB1 | ( |  | ) | `[inline]`

Definition at line 251 of file MittelmannDistCntrlNeumB.hpp.

virtual MittelmannDistCntrlNeumB1::~MittelmannDistCntrlNeumB1 | ( |  | ) | `[inline, virtual]`

Definition at line 257 of file MittelmannDistCntrlNeumB.hpp.

MittelmannDistCntrlNeumB1::MittelmannDistCntrlNeumB1 | ( | const MittelmannDistCntrlNeumB1 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlNeumB1::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 260 of file MittelmannDistCntrlNeumB.hpp.

References MittelmannDistCntrlNeumBBase::SetBaseParameters().

virtual Number MittelmannDistCntrlNeumB1::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 281 of file MittelmannDistCntrlNeumB.hpp.

References pi_.

Referenced by fint_cont(), and fint_cont_dy().

virtual Number MittelmannDistCntrlNeumB1::fint_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Integrant in objective function.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 286 of file MittelmannDistCntrlNeumB.hpp.

References alpha_, and y_d_cont().

virtual Number MittelmannDistCntrlNeumB1::fint_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

y

Implements MittelmannDistCntrlNeumBBase.

Definition at line 292 of file MittelmannDistCntrlNeumB.hpp.

References y_d_cont().

virtual Number MittelmannDistCntrlNeumB1::fint_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 298 of file MittelmannDistCntrlNeumB.hpp.

References alpha_.

virtual Number MittelmannDistCntrlNeumB1::fint_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,y

Implements MittelmannDistCntrlNeumBBase.

Definition at line 303 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB1::fint_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 309 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::fint_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

u,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 314 of file MittelmannDistCntrlNeumB.hpp.

References alpha_.

virtual bool MittelmannDistCntrlNeumB1::fint_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

u,u is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 320 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::fint_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 325 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB1::fint_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 331 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 336 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlNeumBBase.

Definition at line 341 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 346 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 351 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB1::d_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 357 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::d_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

u,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 362 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB1::d_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 368 of file MittelmannDistCntrlNeumB.hpp.

virtual Number MittelmannDistCntrlNeumB1::d_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

y,u

Implements MittelmannDistCntrlNeumBBase.

Definition at line 373 of file MittelmannDistCntrlNeumB.hpp.

virtual bool MittelmannDistCntrlNeumB1::d_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumBBase.

Definition at line 379 of file MittelmannDistCntrlNeumB.hpp.

MittelmannDistCntrlNeumB1& MittelmannDistCntrlNeumB1::operator= | ( | const MittelmannDistCntrlNeumB1 & |  | ) | `[private]`

## Member Data Documentation

const Number MittelmannDistCntrlNeumB1::pi_`[private]`

Value of pi (made available for convenience).

Definition at line 390 of file MittelmannDistCntrlNeumB.hpp.

Referenced by y_d_cont().

const Number MittelmannDistCntrlNeumB1::alpha_`[private]`

Value for parameter alpha in objective functin.

Definition at line 392 of file MittelmannDistCntrlNeumB.hpp.

Referenced by fint_cont(), fint_cont_du(), and fint_cont_dudu().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/examples/ScalableProblems/MittelmannDistCntrlNeumB.hpp